# Poco

# class SiblingsFirstTraverse

Library: Foundation
Package: Filesystem
Header: Poco/DirectoryIteratorStrategy.h

## Inheritance

Direct Base Classes: TraverseBase

All Base Classes: TraverseBase

## Member Summary

Member Functions: next

Inherited Functions: isDirectory, isFiniteDepth

## Constructors

### SiblingsFirstTraverse

SiblingsFirstTraverse(
DepthFun depthDeterminer,
UInt16 maxDepth = D_INFINITE
);

## Member Functions

### next

const std::string next(
Stack * itStack,
bool * isFinished
);